simple_flutter_i18n 1.2.3+1 icon indicating copy to clipboard operation
simple_flutter_i18n: ^1.2.3+1 copied to clipboard

a package that makes it easy to have multiple langauges in your application

1.0.0 #

  • Initial version, created by Stagehand

1.0.0+1 -> ## 1.0.0+6 #

  • refactoring of the package

1.1.0 #

  • added persist method to the package to persist the current language

  • added load method to load the data from storage, using shared_preferences

1.1.0+1 #

  • updated readme for being more informative

1.1.0+2 #

  • fixed a bug in the load method

1.1.0+3 #

  • various bug fixes

1.1.0+4 #

  • removed provider dependancy and updated readme.

1.1.0+5 #

1.1.1+0 #

  • removed the constructor
  • the packages gets initialized through load method

1.1.1+1-hotfix #

  • bug fixes

1.1.1+2-hotfix #

  • bug fixes

1.2.0 #

  • various bug fixes;
  • improved the Readme
  • overall re-structuring of how the package is utilized

1.2.1 #

  • updated readme
  • changed the behaviour of the registry class

1.2.2 #

  • updating flutter and other dependancies

1.2.3 #

  • updating flutter and other dependancies

1.2.3+1 #

  • updating flutter and other dependancies
9
likes
110
pub points
0%
popularity

Publisher

unverified uploader

a package that makes it easy to have multiple langauges in your application

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

flutter, shared_preferences

More

Packages that depend on simple_flutter_i18n